Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Mon, 12 Jan 2009 17:00:12 +0100

> I'm not sure I understand the question.  It doesn't add the setting to
 > window-system-default-frame-alist, does it?  So all it does is remove
 > any overriding setting from it, just like it does with
 > initial-frame-alist, which is necessary for the default-frame-alist
 > setting to be effective.

I'm not sure whether toggling tool-/menu-bar-mode should override
window-system specific settings.  When we set tool-bar-lines in
default-frame-alist we don't override window-system specific settings.
Is toggling tool-/menu-bar-mode conceptually "stronger" than setting
default-frame-alist WRT to future frames?  What's the purpose of setting
`window-system-default-frame-alist' in .emacs when a simple click on a
menu entry will annihilate its effect for the rest of the session?  Such
clicks are not window-system specific.

martin